__gnu_parallel::_RandomNumber(3)

NAME
__gnu_parallel::_RandomNumber -

SYNOPSIS

  Public Member Functions
_RandomNumber ()
_RandomNumber (uint32_t __seed, uint64_t _M_supremum=0x100000000ULL)
unsigned long __genrand_bits (int __bits)
uint32_t operator() ()
uint32_t operator() (uint64_t local_supremum)

Detailed Description

Random number generator, based on the Mersenne twister.

Definition at line 42 of file random_number.h.

Constructor & Destructor Documentation

  __gnu_parallel::_RandomNumber::_RandomNumber () [inline]

Default constructor. Seed with 0.

Definition at line 74 of file random_number.h.

  __gnu_parallel::_RandomNumber::_RandomNumber (uint32_t__seed, uint64_t_M_supremum = 0x100000000ULL) [inline]

Constructor.

Parameters:
    __seed Random __seed.
    _M_supremum Generate integer random numbers in the interval [0,_M_supremum).

Definition at line 85 of file random_number.h.

Member Function Documentation

  unsigned long __gnu_parallel::_RandomNumber::__genrand_bits (int__bits) [inline]

Generate a number of random bits, run-time parameter.

Parameters:
    __bits Number of bits to generate.

Definition at line 109 of file random_number.h.

  uint32_t __gnu_parallel::_RandomNumber::operator() () [inline]

Generate unsigned random 32-bit integer.

Definition at line 94 of file random_number.h.

  uint32_t __gnu_parallel::_RandomNumber::operator() (uint64_tlocal_supremum) [inline]

Generate unsigned random 32-bit integer in the interval [0,local_supremum).

Definition at line 100 of file random_number.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.